generator: admingenerator.generator.doctrine
params:
    model: Webmil\Frontend\ProductBundle\Entity\Reagent
    namespace_prefix: Webmil
    concurrency_lock: ~
    bundle_name: BackendProductBundle
    pk_requirement: ~
    fields: 
      subcategoryReagent:
        label:            Підкатегорія
        addFormOptions:
         required: true
      cluster:
        label:    Кластер
        addFormOptions:
         required: false
      translations:
        formType: a2lix_translations
        addFormOptions:
         required: false    
         fields: 
           title:
             locale_options:
               ru:
                 label : Назва 
               uk:
                 label : Назва   
           producer:
             locale_options:
               ru:
                 label : Изготовитель
               uk:
                 label : Виробник   
    object_actions:
        delete: ~
    batch_actions:
        delete: ~
builders:
    list:
        params:
            title: Список реагентів
            display: ~
            actions:
                new: ~
            object_actions:
                edit: ~
                delete: ~
            batch_actions: ~ 
    filters:
        params:
            display: [subcategoryReagent]
    new:
        params:
            title: Новий реагент
            display: [subcategoryReagent, cluster, catalog, internalControl, capacity, reagent1, reagent_2, size, method, translations]
            actions:
                save: ~
                list: ~
    edit:
        params:
            title: "Редагування реагенту"
            display: [subcategoryReagent, cluster, catalog, internalControl, capacity, reagent1, reagent_2, size, method, translations]
            actions:
                save: ~
                list: ~
    show:
        params:
            title: "You're viewing the object \"%object%\"|{ %object%: Reagent.title }|"
            display: ~
            actions:
                list: ~
                new: ~
    actions:
        params:
            object_actions:
                delete: ~
            batch_actions:
                delete: ~
